export default {
  computed: {
    getPath() {
      const origin = window?.location?.origin;
      const path = this.$route.path;
      const pathName = window?.location?.pathname;

      let suffixDomain = pathName.replace(path, '');

      if (!suffixDomain.startsWith('/')) {
        suffixDomain = '/' + suffixDomain;
      };

      if (!suffixDomain.endsWith('/')) {
        suffixDomain += '/';
      };

      return origin + suffixDomain;
    }
  }
}
